package hadanka;

import java.net.URL;
import java.util.ResourceBundle;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.CheckBox;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;

/**
 *
 * @author lsroubov
 */
public class FXMLDocumentController implements Initializable {
    
    @FXML
    private Label label;
    
    @FXML
    private Label mez1Label;
    @FXML
    private Label mez2Label;
    @FXML
    private TextField cisloTextField;
    @FXML
    private CheckBox chBox;
    
    @FXML
    private void handleButtonAction(ActionEvent event) {
        int cislo;
        int mez1 = -5;
        int mez2 = 5;
        int hadanka = 3;
        try{
            cislo = Integer.parseInt(cisloTextField.getText());
        }
        catch (NumberFormatException ex) {
            cisloTextField.setText("Zde zadej cele cislo ...");
            return;
        }
        if (chBox.isSelected()) {
            mez1Label.setText(String.valueOf(mez1));
            mez2Label.setText(String.valueOf(mez2));
        }
        System.out.println("Hraj!");
        String hlaska;
        if ((cislo < mez1)||(cislo > mez2)) {
            hlaska = String.format("%d je uplne mimo interval :-(", cislo);
            label.setText(hlaska);
        }
        else if (cislo == hadanka){
	    label.setText("Spravne, ctes myslenky :-)");
        }
	else if (cislo < hadanka) {
            hlaska = String.format("%d je malo! :-(", cislo);
	    label.setText(hlaska);
        }
        else {
            hlaska = String.format("%d je moc! :-(", cislo);
            label.setText(hlaska);
        }           
    }
    
    @Override
    public void initialize(URL url, ResourceBundle rb) {
        
    }    
    
}
